package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.module.filter.SJZDXSearchContext;

/**
 * 实体 [数据字典项] 存储模型
 */
public interface SJZDX{

    /**
     * 名称
     */
    String getName();

    void setName(String name);

    /**
     * 获取 [名称]脏标记
     */
    boolean getNameDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 父名称
     */
    String getPname();

    void setPname(String pname);

    /**
     * 获取 [父名称]脏标记
     */
    boolean getPnameDirtyFlag();
    /**
     * 数据字典项标识
     */
    String getSJZDXId();

    void setSJZDXId(String sJZDXId);

    /**
     * 获取 [数据字典项标识]脏标记
     */
    boolean getSJZDXIdDirtyFlag();
    /**
     * 数据字典项名称
     */
    String getSJZDXName();

    void setSJZDXName(String sJZDXName);

    /**
     * 获取 [数据字典项名称]脏标记
     */
    boolean getSJZDXNameDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 编号
     */
    String getCode();

    void setCode(String code);

    /**
     * 获取 [编号]脏标记
     */
    boolean getCodeDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 父编号
     */
    String getPcode();

    void setPcode(String pcode);

    /**
     * 获取 [父编号]脏标记
     */
    boolean getPcodeDirtyFlag();
    /**
     * 数据字典标识
     */
    String getSJZDId();

    void setSJZDId(String sJZDId);

    /**
     * 获取 [数据字典标识]脏标记
     */
    boolean getSJZDIdDirtyFlag();
}
